import { EventEmitter, ViewContainerRef, DynamicComponentLoader, ComponentRef, OnDestroy, ElementRef, OnChanges, OnInit } from '@angular/core';
import { ConfirmPopover } from './confirmPopover.component';
import { ConfirmOptions } from './confirmOptions.provider';
export declare class Confirm implements OnDestroy, OnChanges, OnInit {
    private viewContainerRef;
    private loader;
    private elm;
    private defaultOptions;
    title: string;
    message: string;
    confirmText: string;
    cancelText: string;
    placement: string;
    confirmButtonType: string;
    cancelButtonType: string;
    focusButton: string;
    hideConfirmButton: boolean;
    hideCancelButton: boolean;
    isOpen: boolean;
    isDisabled: boolean;
    isOpenChange: EventEmitter<any>;
    confirm: EventEmitter<any>;
    cancel: EventEmitter<any>;
    popover: Promise<ComponentRef<ConfirmPopover>>;
    constructor(viewContainerRef: ViewContainerRef, loader: DynamicComponentLoader, elm: ElementRef, defaultOptions: ConfirmOptions);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    ngOnDestroy(): void;
    onConfirm(): void;
    onCancel(): void;
    private showPopover();
    private hidePopover();
    private onDocumentClick(target);
    private togglePopover();
}
